Index: trip-planner-front/src/app/_services/planner.service.ts
===================================================================
--- trip-planner-front/src/app/_services/planner.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_services/planner.service.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -11,36 +11,39 @@
 
     httpHeaders: HttpHeaders = new HttpHeaders({
-        'Authorization': ''+sessionStorage.getItem("token"),
+        'Authorization': '' + sessionStorage.getItem("token"),
         'Accept': 'application/json',
         'Content-Type': 'application/json'
-      });
-      
+    });
 
-    constructor(private httpClient: HttpClient){
+
+    constructor(private httpClient: HttpClient) {
     }
 
-   
-    getAllPlanners():Observable<Planner[]>{
+
+    getAllPlanners(): Observable<Planner[]> {
         let url = "http://localhost:8080/api/planners/user";
         console.log("SERVID: " + sessionStorage.getItem("token"));
-        console.log(this.httpHeaders.get('Authorization'))  ;
-        return this.httpClient.get<Planner[]>(url, {headers: this.httpHeaders});     
+        console.log(this.httpHeaders.get('Authorization'));
+        return this.httpClient.get<Planner[]>(url, { headers: this.httpHeaders });
     }
 
-    postInitialPlanner(planner: Planner): Observable<Planner>{     
+    postInitialPlanner(plannerDto: PlannerDto): Observable<Planner> {
         let url = "http://localhost:8080/api/planner/new";
-        return this.httpClient.post<Planner>(url, planner);
+        return this.httpClient.post<Planner>(url, plannerDto);
     }
 
-    updatePlanner(id: number, plannerDto : PlannerDto):Observable<Planner>{    
-    let url = "http://localhost:8080/api/edit/planner/" + id;
-    return this.httpClient.put<Planner>(url, plannerDto, {headers: this.httpHeaders});
+    updatePlanner(id: number, plannerDto: PlannerDto): Observable<Planner> {
+        let url = "http://localhost:8080/api/edit/planner/" + id;
+        return this.httpClient.put<Planner>(url, plannerDto, { headers: this.httpHeaders });
     }
 
-    getPlannerById(id:number):Observable<Planner>{
+    getPlannerById(id: number): Observable<Planner> {
         let url = "http://localhost:8080/api/planner/" + id;
         return this.httpClient.get<Planner>(url);
     }
 
-
+    deletePlannerById(id: number): Observable<Planner> {
+        let url = "http://localhost:8080/api/delete/" + id;
+        return this.httpClient.delete<Planner>(url, { headers: this.httpHeaders });
+    }
 }
Index: trip-planner-front/src/app/_services/user.service.ts
===================================================================
--- trip-planner-front/src/app/_services/user.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_services/user.service.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -8,46 +8,44 @@
 
 @Injectable({
-    providedIn: 'root'
+  providedIn: 'root'
 })
-export class UserService{
+export class UserService {
 
-     headers = new HttpHeaders({
-        'Content-Type': 'application/json',
-        'Access-Control-Allow-Headers': 'Content-Type',
+  headers = new HttpHeaders({
+    'Content-Type': 'application/json',
+    'Access-Control-Allow-Headers': 'Content-Type',
 
-      });
-    
-    constructor(private httpClient: HttpClient){
+  });
 
-    }
+  constructor(private httpClient: HttpClient) {
 
-    registerUser(user : UserDto) : Observable<User>{
-        let url = "http://localhost:8080/api/users/register";
-        var reqHeader = new HttpHeaders({'No-Auth' : 'True'});
-        return this.httpClient.post<User>(url, user, { headers: reqHeader });
-    }
-    
-    authenticateUser(loginResult : LoginRequest) {
-        let url = "http://localhost:8080/api/users/login";
-        var reqHeader = new HttpHeaders({'Content-Type': 'application/json'});
-        return this.httpClient.post<any>(url, loginResult)
-        .pipe(
-            map(userData => {
-                sessionStorage.setItem("username", loginResult.username);
-                let tokenStr =  userData.token;
-                sessionStorage.setItem("token", tokenStr);
-                return userData;
-            })
-        );
-    }
-  
-      isUserLoggedIn() {
-        let user = sessionStorage.getItem("username");
-        let token = sessionStorage.getItem("token");
-        console.log(user);
-        console.log(token);
-        console.log(!(user === null));
-        return !(user === null);
-      }
-    
+  }
+
+  registerUser(user: UserDto): Observable<User> {
+    let url = "http://localhost:8080/api/users/register";
+    return this.httpClient.post<User>(url, user, { headers: this.headers });
+  }
+
+  authenticateUser(loginResult: LoginRequest) {
+    let url = "http://localhost:8080/api/users/login";
+    return this.httpClient.post<any>(url, loginResult)
+      .pipe(
+        map(userData => {
+          sessionStorage.setItem("username", loginResult.username);
+          let tokenStr = userData.token;
+          sessionStorage.setItem("token", tokenStr);
+          return userData;
+        })
+      );
+  }
+
+  isUserLoggedIn() {
+    let user = sessionStorage.getItem("username");
+    let token = sessionStorage.getItem("token");
+    console.log(user);
+    console.log(token);
+    console.log(!(user === null));
+    return !(user === null);
+  }
+
 }
